import { QueryList, ChangeDetectorRef, AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { GrwitError } from './error';
import { GrwitHint } from './hint';
export declare class GrwitFormFieldControl implements OnInit {
    private readonly elementRef;
    id: any;
    protected _id: any;
    required: any;
    protected _required: any;
    type: string;
    constructor(elementRef: ElementRef);
    ngOnInit(): void;
    focus(): void;
}
export declare class GrwitFormField implements AfterViewInit {
    private _changeDetectorRef;
    constructor(_changeDetectorRef: ChangeDetectorRef);
    _errorChildren: QueryList<GrwitError>;
    _hintChildren: QueryList<GrwitHint>;
    formInput: GrwitFormFieldControl;
    prefixElement: ElementRef;
    suffixElement: ElementRef;
    hasPrefixElement: boolean;
    hasSuffixElement: boolean;
    hasErrors: boolean;
    hasHintText: boolean;
    outline: boolean;
    _outline: boolean;
    readonly isInput: boolean;
    readonly isSelect: boolean;
    ngAfterViewInit(): void;
    focusInput(): void;
}
